#
# Copyright 1999-2003 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# ident	"@(#)OCFMessages.properties	1.20	03/02/12 SMI"
#

# This file contains all OCF error/success/informational messages
# which are to be internationalised.
#
# Each entry is in the form OCF<module_name>.<tagname> = <data string>
#
#
#OCF_Cmd.host			= Unknown host.

#@EN@ Error: Classname or action is missing.
OCFAdmin.ServiceArgsMissing		\u9519\u8bef\u2236\u9057\u6f0f\u4e86\u7c7b\u578b\u540d\u79f0\u6216\u52a8\u4f5c\u3002

#@EN@ Error: Classname, devicename, userfriendly readername, readername, IFD handler library or action argument is missing.
OCFAdmin.TerminalAddModifyArgsMissing	\u9519\u8bef\uff1a\u7f3a\u5c11\u7c7b\u578b\u540d\u79f0\u3001\u8bbe\u5907\u540d\u79f0\u3001\u7528\u6237\u6613\u61c2\u7684\u9605\u8bfb\u673a\u540d\u79f0\u3001\u9605\u8bfb\u673a\u540d\u79f0\u3001IFD \u5904\u7406\u5e93\u6216\u64cd\u4f5c\u53c2\u6570\u3002

#@EN@ Error: Userfriendly readername is a required parameter.
OCFAdmin.TerminalDeleteArgsMissing	\u9519\u8bef\u2236\u7528\u6237\u6613\u61c2\u7684\u9605\u8bfb\u673a\u540d\u79f0\u662f\u5fc5\u8981\u7684\u53c2\u6570\u3002

#@EN@ Error: Classname and IFD handler library can not be both specified at the same time.
OCFAdmin.TerminalAddModifyArgsConflict	\u9519\u8bef\uff1a\u4e0d\u80fd\u540c\u65f6\u6307\u5b9a\u7c7b\u578b\u540d\u79f0\u4e0e IFD \u5904\u7406\u5e93\u3002

#@EN@ Error: Classname, level or action is missing.
OCFAdmin.DebugArgsMissing		\u9519\u8bef\u2236\u9057\u6f0f\u4e86\u7c7b\u578b\u540d\u79f0\u3001\u5c42\u6b21\u6216\u52a8\u4f5c\u3002

#@EN@ Error: Action or property name is missing.
OCFAdmin.OverrideArgsMissing		\u9519\u8bef\u2236\u9057\u6f0f\u4e86\u52a8\u4f5c\u6216\u5c5e\u6027\u540d\u79f0\u3002

#@EN@ Error: Action is missing.
OCFAdmin.ActionMissing			\u9519\u8bef\u2236\u9057\u6f0f\u4e86\u52a8\u4f5c\u3002

#@EN@ Error: {0} is not a valid property type.\nValid property types are terminal/service/debug/override.
OCFAdmin.IllegalPropertyType		\u9519\u8bef\u2236{0} \u4e0d\u662f\u6709\u6548\u7684\u5c5e\u6027\u7c7b\u578b\u3002\n\u6709\u6548\u7684\u5c5e\u6027\u7c7b\u578b\u4e3a\u7ec8\u7aef/\u670d\u52a1/\u8c03\u8bd5/\u4ea4\u6362\u533a\u3002

#@EN@ Error: {0} is not a valid action type.\nValid action types are add/modify/delete.
OCFAdmin.IllegalActionType		\u9519\u8bef\u2236{0} \u4e0d\u662f\u6709\u6548\u7684\u52a8\u4f5c\u7c7b\u578b\u3002\n\u6709\u6548\u7684\u52a8\u4f5c\u7c7b\u578b\u4e3a\u65b0\u589e/\u4fee\u6539/\u5220\u9664\u3002

#@EN@ Error: This value already exists.
OCFAdmin.ValueAlreadyExists		\u9519\u8bef\u2236\u8fd9\u4e2a\u503c\u5df2\u7ecf\u5b58\u5728\u3002

#@EN@ Error: Property type is missing.
OCFAdmin.PropertyTypeMissing		\u9519\u8bef\u2236\u9057\u6f0f\u4e86\u5c5e\u6027\u7c7b\u578b\u3002

#@EN@ Error: One or More properties not found.\nListing all the existing ones in the list.
OCFAdmin.PropertyNotFound		\u9519\u8bef\u2236\u627e\u4e0d\u5230\u4e00\u6216\u591a\u4e2a\u5c5e\u6027\u3002\n\u5728\u6307\u5b9a\u6e05\u5355\u4e2d\u5217\u51fa\u6240\u6709\u73b0\u5b58\u7684\u5c5e\u6027\u3002

#@EN@ Error: This property already exists.
OCFAdmin.PropertyAlreadyExists		\u9519\u8bef\u2236\u8fd9\u4e2a\u5c5e\u6027\u5df2\u7ecf\u5b58\u5728\u3002

#@EN@ Error: One or more properties already exist.\nAdding all new properties in the given list.
OCFAdmin.PropertiesAlreadyExistsToAdd	\u9519\u8bef\u2236\u4e00\u6216\u591a\u4e2a\u5c5e\u6027\u5df2\u7ecf\u5b58\u5728\u3002\n\u5728\u6307\u5b9a\u6e05\u5355\u4e2d\u589e\u52a0\u6240\u6709\u65b0\u5c5e\u6027\u3002

#@EN@ Error: This value does not exist.
OCFAdmin.ValueDoesNotExists		\u9519\u8bef\u2236\u8fd9\u4e2a\u503c\u4e0d\u5b58\u5728\u3002

#@EN@ Error: This property does not exist.
OCFAdmin.NoSuchProperty			\u9519\u8bef\u2236\u8fd9\u4e2a\u5c5e\u6027\u4e0d\u5b58\u5728\u3002

#@EN@ Error: One or more properties not found.\nModifying all existing properties in the given list.
OCFAdmin.PropertiesMissingToModify	\u9519\u8bef\u2236\u627e\u4e0d\u5230\u4e00\u6216\u591a\u4e2a\u5c5e\u6027\u3002\n\u5728\u6307\u5b9a\u6e05\u5355\u4e2d\u4fee\u6539\u6240\u6709\u73b0\u5b58\u7684\u5c5e\u6027\u3002

#@EN@ Error: One or more properties not found.\nDeleting all existing properties in the given list.
OCFAdmin.PropertiesMissingToDelete	\u9519\u8bef\u2236\u627e\u4e0d\u5230\u4e00\u6216\u591a\u4e2a\u5c5e\u6027\u3002\n\u5728\u6307\u5b9a\u6e05\u5355\u4e2d\u5220\u9664\u6240\u6709\u73b0\u5b58\u7684\u5c5e\u6027\u3002

#@EN@ Error: No such key exists for export.
OCFAdmin.NoKeyToExport			\u9519\u8bef\u2236\u7528\u4e8e\u8f93\u51fa\u7684\u8fd9\u7c7b\u952e\u4e0d\u5b58\u5728\u3002

#@EN@ Error: This device has already been configured.
OCFAdmin.DeviceAlreadyExists		\u9519\u8bef\u2236\u5df2\u7ecf\u914d\u7f6e\u4e86\u8fd9\u4e2a\u8bbe\u5907\u3002

#@EN@ Error: Key type is missing. Valid key type is challenge_response.
OCFAdmin.KeyTypeMissing			\u9519\u8bef\u2236\u9057\u6f0f\u4e86\u952e\u7c7b\u578b\u3002\u6709\u6548\u7684\u952e\u7c7b\u578b\u4e3a challenge_response\u3002

#@EN@ Error: Input file is missing.
OCFAdmin.InputFileMissing		\u9519\u8bef\u2236\u9057\u6f0f\u4e86\u8f93\u5165\u6863\u3002

#@EN@ Error: Output file is missing.
OCFAdmin.OutputFileMissing		\u9519\u8bef\u2236\u9057\u6f0f\u4e86\u8f93\u51fa\u6863\u3002

#@EN@ Error: {0}: file not found.
OCFAdmin.FileNotFound			\u9519\u8bef\u2236{0}\u2236\u627e\u4e0d\u5230\u6587\u4ef6\u3002

#@EN@ Error: An Input/Output error occurred while reading/writing file.
OCFAdmin.IOError			\u9519\u8bef\u2236\u8bfb\u5165/\u5199\u5165\u6587\u4ef6\u65f6\u53d1\u751f\u8f93\u5165/\u8f93\u51fa\u9519\u8bef\u3002

#@EN@ Error: Unauthorized access to property.
OCFAdmin.UnauthorizedAccess		\u9519\u8bef\u2236\u5c5e\u6027\u7684\u8bbf\u95ee\u6743\u9650\u672a\u7ecf\u8ba4\u8bc1\u3002

#@EN@ Error: Should be root to access this property.
OCFAdmin.ShouldBeRoot			\u9519\u8bef\u2236\u5e94\u8be5\u662f\u6839\u624d\u53ef\u8bbf\u95ee\u8fd9\u4e2a\u5c5e\u6027\u3002

#@EN@ Error: Cannot restart OCF server.
OCFAdmin.RestartOCFError		\u9519\u8bef\u2236\u4e0d\u80fd\u91cd\u65b0\u5f15\u5bfc OCF \u670d\u52a1\u5668\u3002

#@EN@ Usage:\tsmartcard -c admin [-a application] [propertyname]*\n\tsmartcard -c admin [-a application] [-x add/modify/delete {propertyname=value}*]\n\tsmartcard -c admin -t service -j classname -x {add|delete|modify} [-R]\n\tsmartcard -c admin -t terminal [-j classname|-H ifdhandler] -d device -r userfriendlyreadername [-R]\n\t\t  -n readername -x {add|delete|modify}\n\tsmartcard -c admin -t debug -j classname -l level -x {add|delete|modify} [-R]\n\tsmartcard -c admin -t override -x {add|delete|modify} propertyname=value\n\tsmartcard -c admin -I -k keytype -i filename\n\tsmartcard -c admin -E -k keytype -o filename
OCFAdmin.Usage				\u7528\u6cd5\uff1a\tsmartcard -c admin [-a application] [propertyname]*\n\tsmartcard -c admin [-a application] [-x add/modify/delete {propertyname=value}*]\n\tsmartcard -c admin -t service -j classname -x {add|delete|modify} [-R]\n\tsmartcard -c admin -t terminal [-j classname|-H ifdhandler] -d device -r userfriendlyreadername [-R]\n\t\t  -n readername -x {add|delete|modify}\n\tsmartcard -c admin -t debug -j classname -l level -x {add|delete|modify} [-R]\n\tsmartcard -c admin -t override -x {add|delete|modify} propertyname=value\n\tsmartcard -c admin -I -k keytype -i filename\n\tsmartcard -c admin -E -k keytype -o filename

#@EN@ Usage: smartcard -c init\n\tsmartcard -c bin2capx\n\tsmartcard -c admin\n\tsmartcard -c load\n\tsmartcard -c enable\n\tsmartcard -c disable
OCFSmartcard.usage              	\u7528\u6cd5\u2236smartcard -c init\n\tsmartcard -c bin2capx\n\tsmartcard -c admin\n\tsmartcard -c load\n\tsmartcard -c enable\n\tsmartcard -c disable

#@EN@ Unable to invoke sub-command method.
OCFSmartcard.nosuchmethod		\u4e0d\u80fd\u8c03\u7528\u6b21\u6307\u4ee4\u65b9\u6cd5\u3002

#@EN@ Usage:\tsmartcard -c bin2capx  [-I capxfile] [-i inputfile] [-p propfile] \n				      \t-T type of card [-o outfile] [-v] [property=value]*
OCFBin2Capx.usage              	\u7528\u6cd5\u2236\tsmartcard -c bin2capx  [-I capxfile] [-i inputfile] [-p propfile] \n\
				      \t-T type of card [-o outfile] [-v] [property=value]*


#@EN@ Error parsing input file.
OCFBin2Capx.parsefile           \u5206\u6790\u8f93\u5165\u6587\u4ef6\u65f6\u53d1\u751f\u9519\u8bef\u3002
#@EN@ Error parsing property file.
OCFBin2Capx.parsePropfile       \u5206\u6790\u5c5e\u6027\u6587\u4ef6\u65f6\u53d1\u751f\u9519\u8bef\u3002


#@EN@ Usage: smartcard -c init  [-r readername] [-s slot] -A aid  					-L|-P pin [property=value]*
OCFInit.usage              	\u7528\u6cd5\u2236smartcard -c init  [-r readername] [-s slot] -A aid  \
					-L|-P pin [property=value]*
#@EN@ Initialization Failed.
OCFInit.Exception               \u521d\u59cb\u5316\u5931\u8d25\u3002
#@EN@ Unsupported reader. 
OCFInit.ReaderException         \u4e0d\u652f\u6301\u7684\u9605\u8bfb\u673a\u3002 
#@EN@ Unknown AID.
OCFInit.invalidAID              \u672a\u77e5\u7684 AID\u3002
#@EN@ Invalid Pin.
OCFInit.invalidPin              \u65e0\u6548\u7684 Pin\u3002
#@EN@ Unable to list applets on the card. 
OCFInit.ListAppletsFailed       \u4e0d\u80fd\u5728\u5361\u7247\u4e0a\u5217\u51fa applet\u3002
#@EN@ ChangePin Failed. 
OCFInit.ChangePinFailed         ChangePin \u5931\u8d25\u3002
#@EN@ Pin is changed successfully.
OCFInit.ChangePinOK	        \u5df2\u6210\u529f\u66f4\u6539 Pin\u3002
#@EN@ pin
OCFInit.PIN       		pin
#@EN@ enter pin
OCFInit.PIN_DESC       		\u8f93\u5165 pin

#@EN@ application
OCFInit.APPLICATION       	\u5e94\u7528\u7a0b\u5e8f
#@EN@ enter application name
OCFInit.APPLICATION_DESC	\u8f93\u5165\u5e94\u7528\u7a0b\u5e8f\u540d\u79f0

#@EN@ user
OCFInit.USER       		\u7528\u6237
#@EN@ enter user name
OCFInit.USER_DESC       	\u8f93\u5165\u7528\u6237\u540d\u79f0

#@EN@ password
OCFInit.PASSWORD       		\u53e3\u4ee4
#@EN@ enter password
OCFInit.PASSWORD_DESC     	\u8f93\u5165\u53e3\u4ee4

#@EN@ privatekey
OCFInit.PRIVATE_KEY       	\u4e13\u7528\u952e
#@EN@ please enter file path
OCFInit.PRIVATE_KEY_DESC     	\u8bf7\u8f93\u5165\u6587\u4ef6\u8def\u5f84

#@EN@ certificate
OCFInit.CERT 	      		\u8ba4\u8bc1
#@EN@ please enter file path
OCFInit.CERT_DESC     		\u8bf7\u8f93\u5165\u6587\u4ef6\u8def\u5f84

#@EN@ Missing -T option.
OCFLoad.type              	\u9057\u6f0f -T \u9009\u9879\u3002

#@EN@ Usage:\tsmartcard -c load -A aid -i infile [-r readername] [-s slot number] \n \t[-p propfile] [-v] [property=value]*\n\n \tsmartcard -c load -A aid [-i infile] [-r readername] [-s slot number]\n\t[-p propfile] [-v] {property=value}*\n\n\tsmartcard -c load -A aid -p propfile [-i infile] [-r readername] \n\t[-s slot number] [-v] [property=value]*\n\n\tsmartcard -c load [-r readername] [-s slot number] [-A aid] -u [-v] \n 
OCFLoad.usage              	\u7528\u6cd5\u2236\tsmartcard -c load -A aid -i infile [-r readername] [-s slot number] \n \t[-p propfile] [-v] [property=value]*\n\n \tsmartcard -c load -A aid [-i infile] [-r readername] [-s slot number]\n\t[-p propfile] [-v] {property=value}*\n\n\tsmartcard -c load -A aid -p propfile [-i infile] [-r readername] \n\t[-s slot number] [-v] [property=value]*\n\n\tsmartcard -c load [-r readername] [-s slot number] [-A aid] -u [-v] \n 

#@EN@ Operation successful.
OCFLoad.success              	\u64cd\u4f5c\u6210\u529f\u3002

#@EN@ Operation failed.
OCFLoad.fail              	\u64cd\u4f5c\u5931\u8d25\u3002

#@EN@ Unable to invoke service.
OCFLoad.getservice              \u4e0d\u80fd\u8c03\u7528\u670d\u52a1\u3002
#@EN@ Error finding input file.
OCFLoad.noInputFile             \u67e5\u627e\u8f93\u5165\u6587\u4ef6\u9519\u8bef

#@EN@ Error parsing input file.
OCFLoad.parsefile               \u5206\u6790\u8f93\u5165\u6863\u65f6\u53d1\u751f\u9519\u8bef\u3002

#@EN@ Error parsing property file.
OCFLoad.parsePropfile           \u5206\u6790\u5c5e\u6027\u6863\u65f6\u53d1\u751f\u9519\u8bef\u3002

#@EN@ Could not create card object.
OCFLoad.getcard           	\u4e0d\u80fd\u521b\u5efa\u5361\u7247\u5bf9\u8c61\u3002

#@EN@ Error: unknown card reader.
OCFLoad.unknownCardReader       \u9519\u8bef: \u672a\u77e5\u7684\u5361\u8bfb\u5199\u5668

#@EN@ Error: Should be root to run this command
Cmd.ShouldBeRoot		\u9519\u8bef\u2236\u5e94\u8be5\u662f\u6839\u624d\u80fd\u6267\u884c\u8fd9\u4e2a\u6307\u4ee4

